Subject: Re: bug#53352: 29.0.50; IMAP INBOX not refreshing using `gnus-group-get-new-news'

From: Michael Welsh Duggan <[email-masked]>
Date: Mon, 24 Jan 2022 11:15:02 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Michael Welsh Duggan <[email-masked]> writes:
>
>> I'm not going to send the whole list unless you believe it's necessary.
>> The log (after `g') consists of 122 lines as follows:
>>
>> 11:42:43 [md5i.com] 91340 EXAMINE "mail.misc" (QRESYNC (1044651295 71865))
>> 11:42:43 [md5i.com] 91341 EXAMINE "mail.junk" (QRESYNC (1162282036 126251))
>>
>> (I removed the ^M at the end of log lines for this email.)  This list
>> does not contain "INBOX".  If you actually need the full list, I can
>> send it, but the line above is representative of them all.
>
> When I try the same, I do get INBOX in the list of EXAMINES:
>
> 10:14:57 [quimby.gnus.org] 12526 EXAMINE "Sent" (QRESYNC (1457952636 8))
> 10:14:57 [quimby.gnus.org] 12527 EXAMINE "INBOX" (QRESYNC (1164213559 1225378))
>
> So it sounds like somehow your Gnus is deciding not to activate the
> INBOX group (because of some setting or other, I'd guess).  I'm not sure
> how you could debug that -- perhaps debug-on-entry on
> nnimap-retrieve-group-data-early and see where the list of `infos' is
> coming from, and see whether it includes INBOX and whether it's being
> filtered out?

This appears to be happening in `gnus-get-unread-articles' in the
initial `let*'.  "INBOX" is the car of `gnus-newsrc-alist', and `newsrc'
is explicitly set to the cdr of that list.

-- 
Michael Welsh Duggan
([email-masked])